com.holonplatform.reactor.datastore.operation

## Interface ReactiveBulkInsert

- All Superinterfaces:
    com.holonplatform.core.datastore.operation.commons.BulkInsertOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,ReactiveBulkInsert>, com.holonplatform.core.datastore.DatastoreCommodity, com.holonplatform.core.datastore.operation.commons.DatastoreOperation<ReactiveBulkInsert,com.holonplatform.core.datastore.operation.commons.BulkInsertOperationConfiguration>, com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder<ReactiveBulkInsert>, com.holonplatform.core.datastore.operation.commons.ExecutableBulkOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,com.holonplatform.core.datastore.operation.commons.BulkInsertOperationConfiguration,ReactiveBulkInsert>, com.holonplatform.core.datastore.operation.commons.ExecutableOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>>, com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<ReactiveBulkInsert>, Serializable

      public interface ReactiveBulkInsert
      extends com.holonplatform.core.datastore.operation.commons.BulkInsertOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,ReactiveBulkInsert>

  Reactive `BulkInsertOperation` API, using a `Mono` to represent and handle the operation result.
  Since:
    5.2.0
  See Also:
    `ReactiveDatastore`

- - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.BulkInsertOperation

      `add, add, add, operationPaths, operationPaths, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperation

      `getConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder

      `parameter, parameter, target, withExpressionResolvers, withWriteOption, withWriteOptions, withWriteOptions`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.ExecutableOperation

      `execute`

Copyright © 2019 The Holon Platform. All rights reserved.